Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Public Attributes | List of all members
eZUserLoginHandler Class Reference

The class eZUserLoginHandler does. More...

## Static Public Member Functions
static | sessionCleanup ()
static | instance ( $protocol="standard")
static | preCheck (array &$siteBasics, eZURI $uri)
static | checkUser (&$siteBasics, &$url)
static | forceLogin ()

## Public Attributes
const | AVAILABLE_ARRAY = 'eZLoginHandlerAvailbleArray'
const | STEP = 'eZLoginHandlerStep'
const | USER_INFO = 'eZLoginHandlerUserInfo'
const | LAST_CHECK_REDIRECT = 'eZLoginHandlerLastCheckRedirect'
const | FORCE_LOGIN = 'eZLoginHandlerForceLogin'
const | LAST_HANDLER_NAME = 'eZLoginHandlerLastHandlerName'
const | STEP_PRE_CHECK_USER_INFO = 0
const | STEP_PRE_COLLECT_USER_INFO = 1
const | STEP_POST_COLLECT_USER_INFO = 2
const | STEP_CHECK_USER = 3
const | STEP_LOGIN_USER = 4

## Detailed Description

The class eZUserLoginHandler does.

Definition at line 18 of file ezuserloginhandler.php.

## Member Function Documentation

## ◆ checkUser()

static eZUserLoginHandler::checkUser | ( | & | $siteBasics,
|  | & | $url
| ) |  |
| static

Check user redirection for current loginhandler.

Parameters

  siteBasics |
  possible | redirect url
  login | handler, standard by default. If set to false, handler type will be fetched from ini settings.

Returns
  true if user is logged in successfully. null or false if failed. redirect specification, array ( module, view ).

Definition at line 169 of file ezuserloginhandler.php.

References eZExecution\cleanExit(), instance(), eZHTTPTool\instance(), eZHTTPTool\redirect(), sessionCleanup(), STEP_LOGIN_USER, STEP_POST_COLLECT_USER_INFO, STEP_PRE_CHECK_USER_INFO, and STEP_PRE_COLLECT_USER_INFO.

Referenced by preCheck().

## ◆ forceLogin()

static eZUserLoginHandler::forceLogin | ( |  | ) |
| static

Set session variable to force login

Definition at line 320 of file ezuserloginhandler.php.

References eZHTTPTool\instance().

## ◆ instance()

static eZUserLoginHandler::instance | ( |  | $protocol = `"standard"` | ) |
| static

Returns a new instance of the eZUser class pr $protocol.

Parameters

  string | $protocol | If not set to 'standard' (default), then the code will look for handler first in kernel/classes/datatypes/ezuser/, then according to site.ini[UserSettings]ExtensionDirectory settings

Returns
  eZUser

Definition at line 80 of file ezuserloginhandler.php.

References eZExtension\expandedPathList(), and eZDebug\writeWarning().

Referenced by checkUser(), and sessionCleanup().

## ◆ preCheck()

static eZUserLoginHandler::preCheck | ( | array & | $siteBasics,
|  | eZURI | $uri
| ) |  |
| static

Check if user login is required. If so, use login handler to redirect user.

Since
  4.4

Parameters

  array | $siteBasics |
  eZURI | $uri |

Returns
  array|true|false|null An associative array on redirect with 'module' and 'function' keys, true on successful and false/null on #fail.

Definition at line 135 of file ezuserloginhandler.php.

References checkUser(), and eZHTTPTool\instance().

## ◆ sessionCleanup()

static eZUserLoginHandler::sessionCleanup | ( |  | ) |
| static

Clean up session variables used by the login procedure.

Definition at line 37 of file ezuserloginhandler.php.

References instance(), and eZHTTPTool\instance().

Referenced by checkUser().

## Member Data Documentation

## ◆ AVAILABLE_ARRAY

const eZUserLoginHandler::AVAILABLE_ARRAY = 'eZLoginHandlerAvailbleArray'

Definition at line 20 of file ezuserloginhandler.php.

## ◆ FORCE_LOGIN

const eZUserLoginHandler::FORCE_LOGIN = 'eZLoginHandlerForceLogin'

Definition at line 24 of file ezuserloginhandler.php.

## ◆ LAST_CHECK_REDIRECT

const eZUserLoginHandler::LAST_CHECK_REDIRECT = 'eZLoginHandlerLastCheckRedirect'

Definition at line 23 of file ezuserloginhandler.php.

## ◆ LAST_HANDLER_NAME

const eZUserLoginHandler::LAST_HANDLER_NAME = 'eZLoginHandlerLastHandlerName'

Definition at line 25 of file ezuserloginhandler.php.

## ◆ STEP

const eZUserLoginHandler::STEP = 'eZLoginHandlerStep'

Definition at line 21 of file ezuserloginhandler.php.

## ◆ STEP_CHECK_USER

const eZUserLoginHandler::STEP_CHECK_USER = 3

Definition at line 30 of file ezuserloginhandler.php.

## ◆ STEP_LOGIN_USER

const eZUserLoginHandler::STEP_LOGIN_USER = 4

Definition at line 31 of file ezuserloginhandler.php.

Referenced by checkUser().

## ◆ STEP_POST_COLLECT_USER_INFO

const eZUserLoginHandler::STEP_POST_COLLECT_USER_INFO = 2

Definition at line 29 of file ezuserloginhandler.php.

Referenced by checkUser().

## ◆ STEP_PRE_CHECK_USER_INFO

const eZUserLoginHandler::STEP_PRE_CHECK_USER_INFO = 0

Definition at line 27 of file ezuserloginhandler.php.

Referenced by checkUser().

## ◆ STEP_PRE_COLLECT_USER_INFO

const eZUserLoginHandler::STEP_PRE_COLLECT_USER_INFO = 1

Definition at line 28 of file ezuserloginhandler.php.

Referenced by checkUser().

## ◆ USER_INFO

const eZUserLoginHandler::USER_INFO = 'eZLoginHandlerUserInfo'

Definition at line 22 of file ezuserloginhandler.php.

The documentation for this class was generated from the following file:

- ezuserloginhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.